# List authorizations

List issued card authorizations associated with a Moov account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/issued-cards.read` scope.

## GET

```shell
curl -X GET "https://api.moov.io/issuing/{accountID}/authorizations" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

## Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.issuingTransactions.listAuthorizations({
    accountID: "6465d95a-e945-4a49-8983-d74faa135bb4",
    skip: 60,
    count: 20,
  });

console.log(result);
}

run();
```

## Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\\MoovPhp;
use Moov\\MoovPhp\Models\Components;
use Moov\\MoovPhp\Models\Operations;

$sdk = MoovPhp\
Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$request = new Operations\ListIssuedCardAuthorizationsRequest(
    accountID: '6465d95a-e945-4a49-8983-d74faa135bb4',
    skip: 60,
    count: 20,
);

$response = $sdk->issuingTransactions->listAuthorizations(
    request: $request
);

if ($response->issuedCardAuthorizations !== null) {
    // handle response
}
```

## Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListIssuedCardAuthorizationsRequest;
import io.moov.sdk.models.operations.ListIssuedCardAuthorizationsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListIssuedCardAuthorizationsRequest req = ListIssuedCardAuthorizationsRequest.builder()
                .accountID("6465d95a-e945-4a49-8983-d74faa135bb4")
                .skip(60L)
                .count(20L)
                .build();

ListIssuedCardAuthorizationsResponse res = sdk.issuingTransactions().listAuthorizations()
                .request(req)
                .call();

if (res.issuedCardAuthorizations().isPresent()) {
            System.out.println(res.issuedCardAuthorizations().get());
        }
    }
}
```

## Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.issuing_transactions.list_authorizations(account_id="6465d95a-e945-4a49-8983-d74faa135bb4", skip=60, count=20)

# Handle response
    print(res)
```

## Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)

req = Models::Operations::ListIssuedCardAuthorizationsRequest.new(
  account_id: '6465d95a-e945-4a49-8983-d74faa135bb4',
  skip: 60,
  count: 20
)
res = s.issuing_transactions.list_authorizations(request: req)

unless res.issued_card_authorizations.nil?
  # handle response
end
```

## Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

ListIssuedCardAuthorizationsRequest req = new ListIssuedCardAuthorizationsRequest() {
    AccountID = "6465d95a-e945-4a49-8983-d74faa135bb4",
    Skip = 60,
    Count = 20,
};

var res = await sdk.IssuingTransactions.ListAuthorizationsAsync(req);

// handle response
```

## Example

```json
[
  {
    "authorizationID": "string",
    "issuedCardID": "string",
    "fundingWalletID": "string",
    "network": "discover",
    "authorizedAmount": "-14.89",
    "status": "pending",
    "merchantData": {
      "networkID": "string",
      "name": "Whole Body Fitness",
      "city": "San Francisco",
      "country": "US",
      "postalCode": "94107",
      "state": "CA",
      "mcc": "7298"
    },
    "createdOn": "2019-08-24T14:15:22Z",
    "cardTransactions": [
      "string"
    ]
  }
]
```

### Response Headers

* A unique identifier used to trace requests.

* The request contained missing or expired authentication.

* The user is not authorized to make the request.

* Request was refused due to rate limiting.

* The request failed due to an unexpected error.

* The request failed because a downstream service failed to respond.

### Notes

* Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

### Possible Values:

* `v2026.07.00`

* The Moov business account for which cards have been issued.

* Default: `200`

* Optional ID of the issued card to filter results.

* Optional date-time which inclusively filters all authorizations created after this date-time.

* Optional date-time which exclusively filters all authorizations created before this date-time.

* Optional, comma-separated statuses of the authorization to filter results.

* A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99.

* List of card transaction IDs associated with this authorization.

* Show child attributes

* Two-letter country code.

* The Merchant Category Code.

* External identifier used to identify the merchant with the card brand.

* The merchant's location.

* Name of the merchant.

* The merchant's five-digit postal code.

* The merchant's two-letter state abbreviation.

* The name of the network a card transaction is routed through. Possible values:
  `discover`, `shazam`, `visa`.

* Status of a card issuing authorization. Possible values:
  `pending`, `declined`, `canceled`, `cleared`, `expired`.
